/*
 * Class PRIMES
 */

#include "eif_macros.h"


#ifdef __cplusplus
extern "C" {
#endif

static const EIF_TYPE_INDEX egt_0_130 [] = {0xFF01,220,0xFFFF};
static const EIF_TYPE_INDEX egt_1_130 [] = {0xFF01,237,129,0xFFFF};
static const EIF_TYPE_INDEX egt_2_130 [] = {0xFF01,129,0xFFFF};
static const EIF_TYPE_INDEX egt_3_130 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_4_130 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_5_130 [] = {0xFF01,129,0xFFFF};
static const EIF_TYPE_INDEX egt_6_130 [] = {0xFF01,129,0xFFFF};
static const EIF_TYPE_INDEX egt_7_130 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_8_130 [] = {0xFF01,14,0xFFFF};
static const EIF_TYPE_INDEX egt_9_130 [] = {0xFF01,220,0xFFFF};
static const EIF_TYPE_INDEX egt_10_130 [] = {0xFF01,220,0xFFFF};
static const EIF_TYPE_INDEX egt_11_130 [] = {0xFF01,15,0xFFFF};
static const EIF_TYPE_INDEX egt_12_130 [] = {0xFF01,129,0xFFFF};
static const EIF_TYPE_INDEX egt_13_130 [] = {0xFF01,288,206,0xFFFF};
static const EIF_TYPE_INDEX egt_14_130 [] = {206,0xFFFF};
static const EIF_TYPE_INDEX egt_15_130 [] = {0xFF01,377,191,0xFFFF};
static const EIF_TYPE_INDEX egt_16_130 [] = {0xFF01,285,206,0xFFFF};


static const struct desc_info desc_130[] = {
	{EIF_GENERIC(NULL), 0xFFFFFFFF, 0xFFFFFFFF},
	{EIF_GENERIC(egt_0_130), 0, 0xFFFFFFFF},
	{EIF_GENERIC(egt_1_130), 1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 2, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 3, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 4, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 5, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 6, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 7, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 8, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 9, 0xFFFFFFFF},
	{EIF_GENERIC(egt_2_130), 10, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 11, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 12, 0xFFFFFFFF},
	{EIF_GENERIC(egt_3_130), 13, 0xFFFFFFFF},
	{EIF_GENERIC(egt_4_130), 14, 0xFFFFFFFF},
	{EIF_GENERIC(egt_5_130), 15, 0xFFFFFFFF},
	{EIF_GENERIC(egt_6_130), 16, 0xFFFFFFFF},
	{EIF_GENERIC(egt_7_130), 17, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 18, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 19, 0xFFFFFFFF},
	{EIF_GENERIC(egt_8_130), 20, 0xFFFFFFFF},
	{EIF_GENERIC(egt_9_130), 21, 0xFFFFFFFF},
	{EIF_GENERIC(egt_10_130), 22, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 23, 0xFFFFFFFF},
	{EIF_GENERIC(egt_11_130), 24, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 25, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 26, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 27, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x0103 /*129*/), 28, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x01AF /*215*/), 29, 0xFFFFFFFF},
	{EIF_GENERIC(egt_12_130), 30, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 2650, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 2014, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 1850, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 1851, 0},
	{EIF_NON_GENERIC(0x017F /*191*/), 1852, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 1853, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 1854, 0xFFFFFFFF},
	{EIF_GENERIC(egt_13_130), 2617, 0xFFFFFFFF},
	{EIF_GENERIC(egt_14_130), -1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 2015, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x019D /*206*/), 2606, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 2279, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 2614, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 2280, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 2281, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 2282, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 2283, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x019D /*206*/), 2274, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 2275, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x019D /*206*/), 2605, 4},
	{EIF_NON_GENERIC(0x019D /*206*/), 2276, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x019D /*206*/), 2277, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 2278, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 2607, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 2616, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 2613, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x019D /*206*/), 2605, 4},
	{EIF_NON_GENERIC(0x017F /*191*/), 2608, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 2609, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 1923, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 2619, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 2615, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 1924, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 2618, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 1925, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 2622, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x019D /*206*/), 2606, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 2610, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 2611, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 2612, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 2621, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 2620, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x019D /*206*/), 2276, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x019D /*206*/), 2645, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x019D /*206*/), 2646, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x019D /*206*/), 2647, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x019D /*206*/), 2648, 0xFFFFFFFF},
	{EIF_GENERIC(egt_15_130), 2649, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x019D /*206*/), 2652, 0xFFFFFFFF},
	{EIF_GENERIC(egt_16_130), 2653, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x019D /*206*/), 2654, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x019D /*206*/), 2651, 0xFFFFFFFF},
};
void Init130(void)
{
	IDSC(desc_130, 0, 129);
	IDSC(desc_130 + 1, 1, 129);
	IDSC(desc_130 + 32, 77, 129);
	IDSC(desc_130 + 41, 35, 129);
	IDSC(desc_130 + 42, 30, 129);
	IDSC(desc_130 + 49, 155, 129);
	IDSC(desc_130 + 58, 144, 129);
	IDSC(desc_130 + 59, 282, 129);
	IDSC(desc_130 + 68, 243, 129);
	IDSC(desc_130 + 74, 229, 129);
	IDSC(desc_130 + 75, 217, 129);
	IDSC(desc_130 + 83, 211, 129);
}


#ifdef __cplusplus
}
#endif
